> ## Documentation Index
> Fetch the complete documentation index at: https://plai-a079b342.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Lookalike Audience

> This endpoint allows you to create a Lookalike Audience based on an existing custom audience. A Lookalike Audience helps you reach new people who are similar to your existing customers, improving the chances of ad engagement and conversion.

## Request Body

<ParamField body="userId" type="string" required>
  User ID, If not already created, make a user on [create user
  page](/api-reference/endpoint/auth/create_user) first. If already created,
  retrieve the user ID from [get profile
  page](/api-reference/endpoint/auth/get_profile).
</ParamField>

<ParamField body="sourceType" type="string" required>
  Source Type = `PAGE` or `AUDIENCE`
</ParamField>

<ParamField body="sourceId" type="string">
  <Info>
    You can get the source id from [get custom
    audiences](/api-reference/endpoint/meta/get_custom_audiences) endpoint.
    Pass custom audience id in `sourceId` parameter.
  </Info>

  <Warning>
    If sourceType is `PAGE`, you don't need to send the `sourceId`
    parameter.
    <br /> If sourceType is `AUDIENCE`, you must include the `sourceId` parameter.
  </Warning>
</ParamField>

<ParamField body="audienceName" type="string" required>
  Audience Name
</ParamField>

<ParamField body="countryCode" type="string" required>
  ISO 3166-1 alpha-2 country codes e.g: `US`,`UK`
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Indicates that the HTTP response was successful (status code 200 OK).
</ResponseField>

<ResponseField name="results" type="object">
  <Expandable title="Results Object">
    <ResponseField name="id" type="string">
      Unique identifier for lookalike audience
    </ResponseField>

    <ResponseField name="name" type="string">
      Name of audience
    </ResponseField>

    <ResponseField name="error" type="string">
      Error string if something went wrong
    </ResponseField>
  </Expandable>
</ResponseField>
